Gets Intent Trainer records in a Project. By default, 25 Trainer Records are returned. To change this value, use the limit query parameter. Additionally, you can filter, sort, and paginate the results.
Supply the API Key in the HTTP-Header
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
application/json, application/hal+json, application/xml, text/xml, text/csv 24^[a-z0-9]{24}$The string to filter Intent Trainer records by text.
The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.
1 <= x <= 100The number of items to skip before returning the results. Use this parameter with limit for offset-based pagination. The default value is 0.
x >= 0The order in which results are returned. Set a sorting rule in the format field:direction, where direction can be asc for ascending order or desc for descending order. For example, name:asc sorts by name in ascending order.
1The cursor that points to the next page of results. Use the nextCursor value returned in a previous response to request the next set of items.
24The cursor that points to the previous page of results. Use the previousCursor value returned in a previous response to request the previous set of items.
24If set to true, filters Intent Trainer records for which the user input was marked as understood.
false, true If set to true, filters Intent Trainer records for which an Intent was found.
false, true If set to true, filters Intent Trainer records for which a Slot was found.
false, true If set to true, filters Intent Trainer records for which user-defined Slots were found.
false, true If set to true, filters Intent Trainer records for which system-defined Slots were found.
false, true The Intent type to filter Intent Trainer records by. You can enter the following values: Greeting, pAnswer, nAnswer, BGreeting.
Greeting, pAnswer, nAnswer, BGreeting The Intent score range to filter by, for example, [0.3,0.6].
2 elements